## org.apache.lucene.xmlparser.builders
Class TermsFilterBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.TermsFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class TermsFilterBuilder

extends Object
implements FilterBuilder

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`TermsFilterBuilder(Analyzer analyzer)`

Method Summary
`Filter` `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsFilterBuilder

    public TermsFilterBuilder(Analyzer analyzer)

Parameters:
  `analyzer` -

Method Detail

### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.